body{
	margin:0;
	padding:0;
}

.main{
    width:  auto;
    height: 100vH;
	aspect-ratio:9/16;
    transform: scale(0.5);
    position: absolute;
	top:-90px
}

.power{
	position:absolute;
	left:124px;
	top:61px;
}

.power img{
	width:837px;
	height:auto;
}

#code{
    position: absolute;
    top: 0;
    left: calc(50% - 397px);
    width: 795px;
    border: 4px solid #fff;
    border-radius: 8px;
    background-color: #00213e;
    font-size: 52px;
    padding: 23px 4px;
    text-align: center;
    color: #fff;
	font-weight:bold;
	font-style:italic;
	z-index:5000;
	text-transform:uppercase;
}

input::-webkit-input-placeholder{
    color:rgba(255,255,255,0.8);
	font-style:italic;
}
input:-moz-placeholder {
    color:rgba(255,255,255,0.8);
	font-style:italic;
}

#start{
	position:absolute;
	top:1170px;
    left: calc(50% - 216px);
	width:432px;
	height:174px;
	background-image:url(../images/start_aktiv.png?v=2);
	background-repeat:no-repeat;
	background-size:100% auto;
	background-position:center;
	z-index:1000;
}

#start.active{
	background-image:url(../images/start_aktiv.png?v=2);
	cursor:pointer;
}




.keyboard-input{
	border: 1px solid #fff;
	color: #fff;
	width: 64px;
	height: 64px;
	text-align: center;
	border-radius: 5px;
	cursor:pointer;
	display: table-cell;
	float:left;
	margin-right:4px;
	vertical-align:middle;
	padding-top:2px;
	font-size: 2.5rem;
    line-height: 62px;
	
	font-family: Arial,Helvetica Neue,Helvetica,sans-serif; 
	
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}


.keyboard-holder{
    position: absolute;
    z-index: 20;
    width: 1080px;
    height: 1135px;
	top:-165px;
    text-align: center;
	display:none;
    left: calc(50% - 540px);
}

.keyboard-bg{
    position: relative;
    width: 790px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 390px;
}

.keyboard-input:hover{
	background-color:#a2c510;
}

.keyboard-space{
	width:340px;
}

.keyboard-large-space{
	width:377px;
}

.keyboard-enter{
	width:513px;
}

.keyboard-com{
	width:103px;
}

.keyboard-de{
	width:70px;
}

.keyboard-at{
	margin-left:-26px;
}

.keyboard-line{
	display:block;
	clear:both;
	padding-top:4px;
}

.keyboard-line-1{
	margin-left: 13px;
}
.keyboard-line-3{
	margin-left: 13px;
}
.keyboard-line-4{
	margin-left: 27px;
}
.keyboard-line-5{
	display: flex;
    align-items: center;
    justify-content: center;
}

.bg{
	width:auto;
	height:100vH;
	aspect-ratio:9/16;
	background-image:url(../images/code.png);
	background-size:cover;
	margin-left:auto;
	margin-right:auto;
	position:relative;
}



@media all and ( max-height: 800px ) {
	.main{
		transform:scale(0.4);
	}
}



@media all and ( max-height: 650px ) {
	.main{
		transform:scale(0.3);
	}
}

@media all and ( max-height: 500px ) {
	.main{
		transform:scale(0.2);
	}
}